# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://62.234.3.186:3306/test-plus?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
                username: root
                password: Sxyanzhu@cf123
            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url: 
                username: 
                password: 
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置连接超时时间
            connectTimeout: 30000
            # 配置网络超时时间
            socketTimeout: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter: 
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: ruoyi
                login-password: 123456
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    # redis 配置
    redis:
        # 地址
        host: localhost
        # 端口，默认为6379
        port: 6379
        # 数据库索引
        database: 0
        # 密码
        password: 123456
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms
# Minio配置
minio:
    url: http://182.42.113.224:9000
    accessKey: minioroot
    secretKey: minioroot
    bucketName: ruoyi
#第三方登录
just-auth:
    weChatMp:
        clientId: wx4963bb1e114c39ab
        clientSecret: 7fd5cb3b583cf5dd7e11e7225fdc04e8
        redirectUri: http://127.0.0.1:80/login/WeChatMp?redirect=/index
    dingTalk:
        clientId: dingoaeqbncuqhhajgxrmu
        clientSecret: fYvf80CLWuQvFF5Z_-th_wcTtNX9EgCEKYEMmJ5pNYnCM7XQeCvOV0WtuR_JI7_w
        redirectUri: http://127.0.0.1:80/login/DingTalk?redirect=/index
    aliyun:
        clientId: 4724944587081098175
        clientSecret: ko8j9lHucSCtstNR9NZfvhy0HtlsVX63UNq85iUOROZXDTsWAdtZKH8aE9snYlpC
        redirectUri: http://127.0.0.1:80/login/Aliyun?redirect=/index
    weChatApplet:
        clientId: wx55c219de9d3ccd81
        clientSecret: f9dc6efdc3e581e776e1288208841abb
# Mqtt配置
mqtt:
    #MQTT-服务器连接地址，如果有多个，用逗号隔开
#    host: tcp://120.46.152.244:1883
    host: ssl://u158bbf7.ala.cn-hangzhou.emqxsl.cn:8883
    #MQTT-连接服务器默认客户端ID
    clientId: mqtt_yu_server
    #MQTT-用户名
    username: admin
    #MQTT-密码
    password: Abcd.123
    #MQTT-默认的消息推送主题，实际可在调用接口时指定
    # 默认主题服务端 +是下一级通配符 #是多级通配符
    topic:
       ## 消息提醒
        - yu_mqtt_client:message_online/+
    #对应主题的qos
    qos: 2
    #连接超时
    timeout: 1000
    #设置会话心跳时间
    keepalive: 30
    #是否开启证书 1883默认链接 8883是 ssl 链接 需要证书
    isSsl: true
